Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1
  • 2
  • 3

SUJET : Problème démarrage Lucterios après MAJ Linux BIS

Problème démarrage Lucterios après MAJ Linux BIS il y a 6 mois 1 semaine #3173

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 16
  • Remerciements reçus 1
Bonsoir Laurent,
en me basant sur vos indications, je viens de résoudre mon problème.
- J'ai supprimé la virtenv
- j'ai rétrogradé et/ou supprimé tous les paquets de ma Debian, qui avaient un rapport avec Python3, vers la version "stable" (cela m'a un peu fait jouer à l'apprenti sorcier et j'ai dû faire le sacrifice de bon nombre d'autres composants qui étaient dépendants, mais je vais les réinstaller un à un dans leur version stable).
- je me suis assuré que tout ce qui paquet installé qui s'appelle Python3* soit en version stable. (soit dit en passant: la lib python3-distutils, qui me causait bien du souci, n'est pas installée...)
- j'ai déroulé à la main le script d'installation de Diacamma (je viens juste de télé-charger le nouveau script, suite au mail mensuel annonçant quelques MAJ), en m'assurant que tout ce qui s'installait était bien en versions stable

Résultat: le lanceur fonctionne et j'ai de nouveau accès à la gestion de ma copro.

Je vais rapidement figer tous ces paquets en version stable car je dois laisser tous les autres composants de ma distrib dans leur version actuelle. Un rétrogradage général est impossible, trop de dommages collatéraux.

Merci encore un fois.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Dernière édition: par jmok.

Problème démarrage Lucterios après MAJ Linux BIS il y a 6 mois 6 jours #3177

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 16
  • Remerciements reçus 1
Je vois que des personnes lisent mon post.
Amis Linuxiens, pouvez-vous m'indiquer si vous avez le même problème avec cette lib?
Quelle est votre distribution? Quelle version de lib?
Avez-vous encore en visu dans vos dépôts la version 3.7.1-1 ou alors êtes-vous passés à la version 3.7.2-3 sans soucis?

Merci d'avance pour toute aide.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Problème démarrage Lucterios après MAJ Linux BIS il y a 5 mois 4 semaines #3187

  • lag
  • Portrait de lag
  • Hors Ligne
  • Administrateur
  • Administrateur
  • Messages : 1331
  • Karma: 8
  • Remerciements reçus 272
Bonjour,

Essayez de modifier votre Linux pour avoir Python 3.5 par défaut du Python3.
Possible que ce souci soit lié plus à v3.6
Cet utilisateur a été remercié pour son message par: jmok

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Développeur Diacamma

Problème démarrage Lucterios après MAJ Linux BIS il y a 5 mois 4 semaines #3192

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 16
  • Remerciements reçus 1
Bonjour Laurent,
je viens de downgrader la version de Python de 3.7.2-1 (testing) vers 3.5.3-1 (stable).
Le gestionnaire de dépendances a rétrogradé ce qui devait l'être aussi, supprimé ce qui n'était pas compatible et réinstallé les dépendances nécessaires.
La lib python3-distutils 3.7.2-3 (testing) n'a pas été installée car incompatible avec ces versions antérieures.

Au lancement de la commande :
/var/lucterios2$ ./launch_lucterios_gui.sh

le résultat est le même:
File "/var/lucterios2/virtual_for_lucterios/lib/python3.6/distutils/__init__.py", line 26, in <module>
from distutils import dist, sysconfig # isort:skip
ImportError: cannot import name 'dist'

Mais merci beaucoup pour l'idée :-)

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Problème démarrage Lucterios après MAJ Linux BIS il y a 5 mois 4 semaines #3193

  • lag
  • Portrait de lag
  • Hors Ligne
  • Administrateur
  • Administrateur
  • Messages : 1331
  • Karma: 8
  • Remerciements reçus 272
Bonjour,

Je vous confirme qu'il est mieux pour l'instant d'utiliser la version 3.5 ou 3.6 de python: Python 3.7 n'est pas encore validé/testé pour Diacamma.

Essayez avant d'installer les paquets Python Diacamma de forcer le changement de la version de pip:
pip install -U pip==18.0.*

Actuellement, des dépendances imposent cette version.

Cherchez sinon à supprimer la "virtenv" /var/lucterios2/virtual_for_lucterios et la recréer complètement en reprenant les différentes dépendances python une après l'autre.
Cet utilisateur a été remercié pour son message par: jmok

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Développeur Diacamma

Problème démarrage Lucterios après MAJ Linux BIS il y a 5 mois 4 semaines #3195

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 16
  • Remerciements reçus 1
D'accord,
merci pour les infos.
Je vais tester ça ce soir.
Je n'avais pas agis au niveau de PIP (que je ne maitrise pas d'ailleurs). J'ai seulement rétrogradé la version Python de ma distrib LInux.
Cette rétrogradation a enchainé toute une suite de suppression d'applications connexes, mais je devrais pouvoir m'en accommoder.
Je reconnais que c'est là l'inconvénient d'avoir une distrib basée sur les paquets SID.

Je teste et je vous dis quoi ;-)

Encore merci pour les pistes à suivre.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

  • Page :
  • 1
  • 2
  • 3
Temps de génération de la page : 0.069 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous rechercher du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel